Package net.shibboleth.idp.attribute.filter.policyrule.impl

# Class AbstractPolicyRule

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.attribute.filter.policyrule.impl.AbstractPolicyRule

All Implemented Interfaces:
  `PolicyRequirementRule`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

Direct Known Subclasses:
  `AbstractEntityAttributePolicyRule`, `AbstractEntityGroupPolicyRule`, `AbstractNameIDFormatExactPolicyRule`, `AbstractProtocolSupportPolicyRule`, `AbstractRegexpPolicyRule`, `AbstractRegistrationAuthorityPolicyRule`, `AbstractStringPolicyRule`, `DirectionPolicyRule`, `NumOfAttributeValuesPolicyRule`, `PredicatePolicyRule`

public abstract class AbstractPolicyRule extends AbstractIdentifiableInitializableComponent implements PolicyRequirementRule
Basis of all implementations of `PolicyRequirementRule` which do some sort of comparison.

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`PolicyRequirementRule.Tristate`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`logPrefix`
The String used to prefix log message.

### Fields inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`MATCHES_ALL, MATCHES_NONE, REQUIREMENT_RULE_FAILS`

## Constructor Summary

Constructors
Constructor
Description
`AbstractPolicyRule()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInitialize()`
`protected String`
`getLogPrefix()`
Return a string which is to be prepended to all log messages.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.idp.attribute.filter.PolicyRequirementRule

`matches`

## Field Details

### logPrefix

@Nullable private String logPrefix
The String used to prefix log message.

## Constructor Details

### AbstractPolicyRule

public AbstractPolicyRule()

## Method Details

### doInitialize

protected void doInitialize() throws ComponentInitializationException

Overrides:
  `doInitialize` in class `AbstractIdentifiedInitializableComponent`
Throws:
  `ComponentInitializationException`

### getLogPrefix

@Nonnull protected String getLogPrefix()
Return a string which is to be prepended to all log messages.

Returns:
  "Attribute Filter '<filterID>' :"